var exec = require('cordova/exec');

exports.goMain = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "goMain", [arg0]);
};

exports.appExit = function(arg0,success,error){
    exec(success,exec,"CordovaLinker","exit",[arg0]);
}

exports.callMap = function(arg0,success,error){
    exec(success,exec,"CordovaLinker","callMap",[arg0]);
}

exports.getdistance = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "getdistance", [arg0]);
};

exports.discuss = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "discuss", [arg0]);
};

exports.startChat = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "startChat", [arg0]);
};

exports.goBack = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "goBack", [arg0]);
};

exports.loadFinished = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "loadFinished", [arg0]);
};

exports.getIsAutoCheck = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "getIsAutoCheck", [arg0]);
};

exports.saveIsAutoCheck = function(arg0, success, error) {
    exec(success, error, "CordovaLinker", "saveIsAutoCheck", [arg0]);
};